WCS_ASTRO_BREAKDOWN_TIME(3)

EXPERIMENTAL_FUNC
wcs_astro_breakdown_time - Breakdown a time value into components.

SYNOPSIS
#include <karma_wcs.h>

void wcs_astro_breakdown_time

(unsigned int *year, unsigned int *month, unsigned int *day_of_month, unsigned int *day_of_year, unsigned int *hours, unsigned int *minutes, double *seconds, unsigned int *whole_seconds, double *subseconds, double time_val)

DESCRIPTION
Breakdown a time value into components.

time_val
    The time in Modified Julian Date (units of seconds).

year
    The year is written here.

month
    The month is written here.

day_of_month
    The day of the month is written here.

hours
    The hours are written here. This may be NULL.

minutes
    The minutes are written here. This may be NULL.

seconds
    The seconds are written here. This may be NULL.

whole_seconds
    The integer truncated seconds are written here. This may be NULL.

subseconds
    The fractional seconds are written here. This may be NULL.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/